summaryrefslogtreecommitdiffstats
path: root/source/kde/kdepim/kdepim.SlackBuild
diff options
context:
space:
mode:
author Patrick J Volkerding <volkerdi@slackware.com>2010-05-19 08:58:23 +0000
committer Eric Hameleers <alien@slackware.com>2018-05-31 22:43:05 +0200
commitb76270bf9e6dd375e495fec92140a79a79415d27 (patch)
tree3dbed78b2279bf9f14207a16dc634b90995cbd40 /source/kde/kdepim/kdepim.SlackBuild
parent5a12e7c134274dba706667107d10d231517d3e05 (diff)
downloadcurrent-b76270bf9e6dd375e495fec92140a79a79415d27.tar.gz
current-b76270bf9e6dd375e495fec92140a79a79415d27.tar.xz
Slackware 13.1slackware-13.1
Wed May 19 08:58:23 UTC 2010 Slackware 13.1 x86_64 stable is released! Lots of thanks are due -- see the RELEASE_NOTES and the rest of the ChangeLog for credits. The ISOs are on their way to replication, a 6 CD-ROM 32-bit set and a dual-sided 32-bit/64-bit x86/x86_64 DVD. We are taking pre-orders now at store.slackware.com, and offering a discount if you sign up for a subscription. Consider picking up a copy to help support the project. Thanks again to the Slackware community for testing, contributing, and generally holding us to a high level of quality. :-) Enjoy!
Diffstat (limited to 'source/kde/kdepim/kdepim.SlackBuild')
-rwxr-xr-xsource/kde/kdepim/kdepim.SlackBuild6
1 files changed, 5 insertions, 1 deletions
diff --git a/source/kde/kdepim/kdepim.SlackBuild b/source/kde/kdepim/kdepim.SlackBuild
index ea4c5d8f8..5c7b53474 100755
--- a/source/kde/kdepim/kdepim.SlackBuild
+++ b/source/kde/kdepim/kdepim.SlackBuild
@@ -47,6 +47,9 @@ echo "Building kdepim-$VERSION..."
tar xvf $CWD/../src/kdepim-$VERSION.tar.?z* || exit 1
cd kdepim-$VERSION
+# Install the kleopatra headers, or else kopete-cryptography will not build:
+cat $CWD/kdepim-4.4.0-install-headers.patch | patch -p0 --verbose || exit 1
+
chown -R root:root .
find . \
\( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
@@ -57,6 +60,7 @@ find . \
mkdir -p build
cd build
cmake \
+ $KDE_OPT_ARGS \
-DCMAKE_C_FLAGS:STRING="$SLKCFLAGS" \
-DCMAKE_CXX_FLAGS:STRING="$SLKCFLAGS" \
-DCMAKE_BUILD_TYPE=Release \
@@ -65,7 +69,7 @@ cd build
-DSYSCONF_INSTALL_DIR=/etc/kde \
-DLIB_SUFFIX=${LIBDIRSUFFIX} \
..
- make $NUMJOBS || exit 1
+ make $NUMJOBS || make || exit 1
make install DESTDIR=$PKG || exit 1
cd -